Package org.opensaml.soap.client

# Class SOAPFaultException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.opensaml.soap.common.SOAPException
org.opensaml.soap.client.SOAPFaultException

All Implemented Interfaces:
  `Serializable`

public class SOAPFaultException extends SOAPException
Exception indicating a SOAP fault.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Serial version UID.
`private Fault`
`soapFault`
The fault that caused this exception.

## Constructor Summary

Constructors
Constructor
Description
`SOAPFaultException()`
Constructor.
`SOAPFaultException(Exception wrappedException)`
Constructor.
`SOAPFaultException(String message)`
Constructor.
`SOAPFaultException(String message, Exception wrappedException)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Fault`
`getFault()`
Gets the fault that caused the exception.
`void`
`setFault(Fault fault)`
Sets the fault that caused the exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial version UID.

See Also:
  - Constant Field Values

### soapFault

@Nullable private Fault soapFault
The fault that caused this exception.

## Constructor Details

### SOAPFaultException

public SOAPFaultException()
Constructor.

### SOAPFaultException

public SOAPFaultException(@Nullable String message)
Constructor.

Parameters:
  `message` - exception message

### SOAPFaultException

public SOAPFaultException(@Nullable Exception wrappedException)
Constructor.

Parameters:
  `wrappedException` - exception to be wrapped by this one

### SOAPFaultException

public SOAPFaultException(@Nullable String message, @Nullable Exception wrappedException)
Constructor.

Parameters:
  `message` - exception message
  `wrappedException` - exception to be wrapped by this one

## Method Details

### getFault

@Nullable public Fault getFault()
Gets the fault that caused the exception.

Returns:
  fault that caused the exception

### setFault

public void setFault(@Nullable Fault fault)
Sets the fault that caused the exception.

Parameters:
  `fault` - fault that caused the exception